Skip directly to content

homebrew

Upgrading OpenSSH Client on Mac OSX using Homebrew

Yesterday the OpenSSH project reported a client side vulnerability affecting OpenSSH versions 5.4 - 7.1. This vulnerability could allow an SSH client to leak private key information, potentially exposing users to man-in-the-middle attacks. The linked articles explain how you can disable the vulnerable feature of OpenSSH in your local configuration. This article explains how to upgrade your OpenSSH version on your machine using Homebrew.